add_subdirectory( player-parts )
add_subdirectory( input )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/kaffeine/src/input/
  ${CMAKE_SOURCE_DIR}/kaffeine/src/input/dvb/
  ${CMAKE_BINARY_DIR}/kaffeine/src/input/dvb/plugins/epg
  ${CMAKE_SOURCE_DIR}/kaffeine/src/input/dvb/plugins/epg
  ${CMAKE_BINARY_DIR}/kaffeine/src/input/disc
  ${CMAKE_BINARY_DIR}/kaffeine/src/input/dvb
  ${CMAKE_SOURCE_DIR}/kaffeine/src/input/disc/
  ${CMAKE_SOURCE_DIR}/kaffeine/src/input/disc/plugins
  ${CMAKE_SOURCE_DIR}/kaffeine/src/player-parts/kaffeine-part
  ${CMAKE_SOURCE_DIR}/kaffeine/src/input/dvbclient
  ${CMAKE_SOURCE_DIR}/kaffeine/src/input/audiobrowser
  
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kaffeine (executable)

tde_add_executable( ${PROJECT_NAME} AUTOMOC

  SOURCES
        main.cpp
        kaffeine.cpp
        startwindow.cpp
        pref.cpp
        kaffeineiface.skel
        systemtray.cpp
        instwizard.cpp
        tdemultitabbar.cpp
        inputmanager.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdeparts-shared
     kaffeinepart-shared
     kaffeinedvbclient-static
     kaffeineaudiobrowser-static
     kaffeinedisc-static
     ${X11_Xext_LIB}
     ${X11_XTest_LIB}
     ${KAFFEINE_DVB_LIBRARY}

  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data

install(
    FILES kaffeineui.rc
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

install(
    FILES kaffeine.profile.xml
    DESTINATION ${DATA_INSTALL_DIR}/profiles
)

install(
    FILES kaffeine.desktop kaffeine-iso.desktop
    DESTINATION ${XDG_APPS_INSTALL_DIR}
)
